Bug 1474473 - exception on ui.log (unknown cause) @ models.templates.VmBaseListModel$2.vnicCreated
exception on ui.log (unknown cause) @ models.templates.VmBaseListModel$2.vnic...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
4.1.2.1
Unspecified Unspecified
low Severity medium (vote)
: ovirt-4.3.0
: ---
Assigned To: Ales Musil
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 13:41 EDT by Yaniv Kaul
Modified: 2017-09-28 04:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3+


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2017-07-24 13:41:55 EDT
Description of problem:
Seen on RHEV.TLV:
2017-07-24 17:53:22,111+03 ERROR [org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService] (default task-62) [] Uncaught exception: com.google.gwt.core.client.JavaScriptException: (TypeError) 
 __gwt$exception: <skipped>: Cannot read property 'Xc' of null
        at org.ovirt.engine.ui.uicommonweb.models.Model.$setProgress(Model.java:170)
        at org.ovirt.engine.ui.uicommonweb.models.templates.VmBaseListModel$2.vnicCreated(VmBaseListModel.java:81)
        at org.ovirt.engine.ui.uicommonweb.models.vms.VmInterfaceCreatingManager$2$1$1$1.executed(VmInterfaceCreatingManager.java:80)
        at org.ovirt.engine.ui.frontend.Frontend.$handleActionResult(Frontend.java:899) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.Frontend$4.$onSuccess(Frontend.java:445) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.Frontend$4.onSuccess(Frontend.java:445) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.communication.OperationProcessor$2.$onSuccess(OperationProcessor.java:139) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.communication.OperationProcessor$2.onSuccess(OperationProcessor.java:139) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.communication.GWTRPCCommunicationProvider$4$1.$onSuccess(GWTRPCCommunicationProvider.java:191) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.communication.GWTRPCCommunicationProvider$4$1.onSuccess(GWTRPCCommunicationProvider.java:191) [frontend.jar:]
        at com.google.gwt.user.client.rpc.impl.RequestCallbackAdapter.onResponseReceived(RequestCallbackAdapter.java:198) [gwt-servlet.jar:]
        at com.google.gwt.http.client.Request.$fireOnResponseReceived(Request.java:237) [gwt-servlet.jar:]
        at com.google.gwt.http.client.RequestBuilder$1.onReadyStateChange(RequestBuilder.java:409) [gwt-servlet.jar:]
        at Unknown.eval(webadmin-0.js@65)
        at com.google.gwt.core.client.impl.Impl.apply(Impl.java:296) [gwt-servlet.jar:]
        at com.google.gwt.core.client.impl.Impl.entry0(Impl.java:335) [gwt-servlet.jar:]
        at Unknown.eval(webadmin-0.js@54)


Version-Release number of selected component (if applicable):

[ykaul@nott16 ~]$ rpm -qa |grep webadmin
ovirt-engine-webadmin-portal-debuginfo-4.1.2.1-0.1.el7.noarch
ovirt-engine-webadmin-portal-4.1.2.1-0.1.el7.noarch
Comment 1 Ales Musil 2017-09-04 02:54:19 EDT
On nott16 I have found this bug 3 times in log. The server has been running over year. So this bug is very rare.

Note You need to log in before you can comment on or make changes to this bug.